<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="48" infoRejectCounter="0">
  <summary>
    <timer wall="1" cpu="0.432303" calls="1"/>
    <!-- memory in MB-->
    <memory final="177.71" peak="177.71"/>
  </summary>
  <header id="">
    <environment started="2017-Nov-03 16:12:31" host="eamc061"/>
    <progOpts problem="linear_2d" parameterFile="/home/fwein/code/cfs-test/TESTSUIT/Optimization/ShapeMap/linear_2d/linear_2d.xml" schemaPath="/home/fwein/code/cfs/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="17.11" name="AMGme" build="Release" svn_revision="15951 modified" svn_branch="Fabian_Wein_TopOpt_0415" exe="cfs_rel"/>
      <openmp CFS_threads="1" MKL_NUM_THREADS="1" OMP_NUM_THREADS="1"/>
    </progOpts>
    <domain nx="20" ny="20" nz="1">
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <grids>
        <grid gridId="default" dimensions="2" elements="400" nodes="441"/>
      </grids>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="441" elems="400" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="21"/>
        <nodes name="north" count="21"/>
        <nodes name="west" count="21"/>
        <nodes name="east" count="21"/>
        <nodes name="left_lower" count="1" coord="(0,0)"/>
        <nodes name="right_lower" count="1" coord="(1,0)"/>
        <nodes name="left_upper" count="1" coord="(0,1)"/>
        <nodes name="right_upper" count="1" coord="(1,1)"/>
        <nodes name="load" count="1" coord="(1,0)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="20" ny="20" nz="1" step="0" t="0" t0="0"/>
    </domain>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="load" size="1" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="MechanicStiffnessTensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Emodulus" value="1"/>
          <property name="Mechanic_PoissonRation" value="0.3"/>
          <property name="Mechanic_Kmodulus" value="(0.83333,0)"/>
          <property name="Mechanic_LameMu" value="(0.38462,0)"/>
          <property name="Mechanic_LameLambda" value="(0.57692,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.03"/>
        </material>
        <!-- List of defined Spaces-->
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <!-- List of registered FeFunctions-->
          <feFunctions totalNumEqns="840" totalNumFreeEqns="840" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="840" lastFreeEqn="840" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <!-- List of SBM-blocks-->
          <sbmBlocks>
            <block id="0" size="840" lastFreeIndex="840"/>
          </sbmBlocks>
          <!-- List of defined matrices-->
          <matrices>
            <!-- Memory is in MByte-->
            <system totalNumRows="840" totalNumCols="840" totalNumNonZeros="14152" totalFillLevelPerCent="2.0057" totalMemory="0.10797">
              <matrix blockRow="0" blockCol="0" storageType="sparseSym" numRows="840" numCols="840" numNonZeros="14152" fillLevelPerCent="2.0057" memory="0.10797" upperBandWidth="829" lowerBandWidth="829" avgBandWidth="299" symCounterPart="no" orderingType="Metis"/>
            </system>
          </matrices>
        </setup>
        <solver>
          <directLDL>
            <summary>
              <setup>
                <timer label="setup_directLDL" wall="0" cpu="0.036498" calls="21"/>
              </setup>
              <solve>
                <timer label="solve_directLDL" wall="0" cpu="0.006155" calls="21"/>
              </solve>
            </summary>
          </directLDL>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <setup>
                <timer wall="0" cpu="5e-06" calls="21"/>
              </setup>
              <precond>
                <timer wall="0" cpu="0" calls="0"/>
              </precond>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall="0" cpu="0.054633" calls="42"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/home/fwein/code/cfs-test/TESTSUIT/Optimization/ShapeMap/linear_2d/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" filtered="yes" task="minimize"/>
      <constraints>
        <constraint type="slope" name="slope_(node)" parameter="0" linear="yes" filtered="yes" locality="next_and_reverse" local_size="40" periodic="no" bound_value="0.055" bound="upperBound" design="node"/>
        <constraint type="curvature" name="curvature_(node)" parameter="0" linear="yes" filtered="yes" locality="prev_next_and_reverse" local_size="38" periodic="no" bound_value="0.01" bound="upperBound" design="node"/>
        <constraint type="curvature" name="curvature_(profile)" parameter="0" linear="yes" filtered="yes" locality="prev_next_and_reverse" local_size="38" periodic="no" bound_value="0.01" bound="upperBound" design="profile"/>
        <constraint type="volume" name="volume" linear="no" filtered="yes" bound_value="0.5" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0">
        <gradient_chain_rule>
          <timer label="gradient_chain_rule" wall="0" cpu="0" calls="0" sub="true"/>
        </gradient_chain_rule>
        <shapeMap overlap="max">
          <mapping>
            <timer label="shape_mapping_map" wall="1" cpu="0.01207" calls="21" sub="true"/>
          </mapping>
          <gradient>
            <timer label="shape_mapping_grad" wall="0" cpu="0.066855" calls="42" sub="true"/>
          </gradient>
          <numInt max_order="20" sensitivity="1e-06" integration="tailored" h="0.05" order="20">
            <warning> tailored linear integration order would require 1250 with sensitivity 1e-06 for h 0.05 -> cut to 20</warning>

            <cells integrate_fraction="0.1275" avg_order="20" total_int="1.0404e+06"/>
          </numInt>
          <mesh n="20 20 1" min="0 0" max="1 1" step="0.05 0.05"/>
        </shapeMap>
        <transferFunctions>
          <transferFunction type="identity" application="mech" design="density"/>
        </transferFunctions>
        <designVariables optimizationVariables="42" modelVariables="400" modelElements="400">
          <design type="density" upperBound="1" lowerBound="1e-06" physicalLowerBound="1e-06"/>
          <shapeParam idx="0" type="node" dof="y" lower="0" upper="1" clamp="no" variables="21" design="21" left_right_sym="none" bottom_up_sym="none"/>
          <shapeParam idx="1" type="profile" lower=".1" upper=".5" clamp="no" variables="21" design="21" left_right_sym="none" bottom_up_sym="none"/>
        </designVariables>
        <regions>
          <region name="mech" elements="400" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <scpip>
        <icntl i1="1" i2="1" i3="20" i4="1" i5="10" i6="0" i7="0" i8="0" i9="0" i10="0" i11="0" i12="0" i13="1"/>
        <rcntl r1="1e-07" r2="1e+30" r3="1e+30" r4="0.01" r5="0.01" r6="0.01" r7="0"/>
      </scpip>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <scpip>
          <timer wall="0" cpu="0.15321" calls="85"/>
        </scpip>
      </summary>
    </optimizer>
    <summary problem="maximum number of iterations reached (20)">
      <eval_objective>
        <timer wall="1" cpu="0.015348" calls="105"/>
      </eval_objective>
      <eval_constraints>
        <timer wall="0" cpu="0.000509" calls="21"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall="0" cpu="0.036641" calls="21"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall="0" cpu="0.035366" calls="21"/>
      </eval_grad_constraints>
      <break converged="no">
        <reason msg="SCPIP: maximum number of iterations reached (20)"/>
      </break>
    </summary>
    <process>
      <iteration number="0" duration="0" compliance="152.88" max_slope_node="0" infeas_slope_node="0" max_curvature_node="0" infeas_curvature_node="0" max_curvature_profile="0" infeas_curvature_profile="0" volume="0.3"/>
      <iteration number="1" duration="0" compliance="95.976" max_slope_node="2.6174e-10" infeas_slope_node="0" max_curvature_node="7.9919e-11" infeas_curvature_node="0" max_curvature_profile="2.3863e-10" infeas_curvature_profile="0" volume="0.35749"/>
      <iteration number="2" duration="0" compliance="65.554" max_slope_node="2.657e-10" infeas_slope_node="0" max_curvature_node="1.0491e-10" infeas_curvature_node="0" max_curvature_profile="5.0199e-10" infeas_curvature_profile="0" volume="0.41498"/>
      <iteration number="3" duration="0" compliance="46.866" max_slope_node="4.7404e-10" infeas_slope_node="0" max_curvature_node="1.3106e-10" infeas_curvature_node="0" max_curvature_profile="4.3142e-10" infeas_curvature_profile="0" volume="0.47666"/>
      <iteration number="4" duration="0" compliance="36.478" max_slope_node="0.018806" infeas_slope_node="0" max_curvature_node="0.0077833" infeas_curvature_node="0" max_curvature_profile="0.007567" infeas_curvature_profile="0" volume="0.49589"/>
      <iteration number="5" duration="0" compliance="33.266" max_slope_node="0.025241" infeas_slope_node="0" max_curvature_node="0.0087543" infeas_curvature_node="0" max_curvature_profile="0.0096285" infeas_curvature_profile="0" volume="0.49697"/>
      <iteration number="6" duration="0" compliance="32.641" max_slope_node="0.029283" infeas_slope_node="0" max_curvature_node="0.0086267" infeas_curvature_node="0" max_curvature_profile="0.009035" infeas_curvature_profile="0" volume="0.4973"/>
      <iteration number="7" duration="0" compliance="31.865" max_slope_node="0.034201" infeas_slope_node="0" max_curvature_node="0.008421" infeas_curvature_node="0" max_curvature_profile="0.0083436" infeas_curvature_profile="0" volume="0.49676"/>
      <iteration number="8" duration="0" compliance="31.426" max_slope_node="0.043659" infeas_slope_node="0" max_curvature_node="0.0094954" infeas_curvature_node="0" max_curvature_profile="0.0096683" infeas_curvature_profile="0" volume="0.49769"/>
      <iteration number="9" duration="1" compliance="31.314" max_slope_node="0.04184" infeas_slope_node="0" max_curvature_node="0.0089171" infeas_curvature_node="0" max_curvature_profile="0.0089675" infeas_curvature_profile="0" volume="0.49802"/>
      <iteration number="10" duration="0" compliance="31.451" max_slope_node="0.022338" infeas_slope_node="0" max_curvature_node="0.0087815" infeas_curvature_node="0" max_curvature_profile="0.0073069" infeas_curvature_profile="0" volume="0.49777"/>
      <iteration number="11" duration="0" compliance="31.023" max_slope_node="0.035626" infeas_slope_node="0" max_curvature_node="0.0089236" infeas_curvature_node="0" max_curvature_profile="0.009305" infeas_curvature_profile="0" volume="0.49806"/>
      <iteration number="12" duration="0" compliance="30.837" max_slope_node="0.03377" infeas_slope_node="0" max_curvature_node="0.0082363" infeas_curvature_node="0" max_curvature_profile="0.0086257" infeas_curvature_profile="0" volume="0.49922"/>
      <iteration number="13" duration="0" compliance="30.741" max_slope_node="0.043039" infeas_slope_node="0" max_curvature_node="0.0091258" infeas_curvature_node="0" max_curvature_profile="0.0095181" infeas_curvature_profile="0" volume="0.49944"/>
      <iteration number="14" duration="0" compliance="30.663" max_slope_node="0.037052" infeas_slope_node="0" max_curvature_node="0.0082117" infeas_curvature_node="0" max_curvature_profile="0.0092065" infeas_curvature_profile="0" volume="0.49983"/>
      <iteration number="15" duration="0" compliance="30.64" max_slope_node="0.04058" infeas_slope_node="0" max_curvature_node="0.00967" infeas_curvature_node="0" max_curvature_profile="0.0099242" infeas_curvature_profile="0" volume="0.49998"/>
      <iteration number="16" duration="0" compliance="30.638" max_slope_node="0.040639" infeas_slope_node="0" max_curvature_node="0.0099981" infeas_curvature_node="0" max_curvature_profile="0.0099995" infeas_curvature_profile="1" volume="0.5"/>
      <iteration number="17" duration="0" compliance="30.637" max_slope_node="0.040689" infeas_slope_node="0" max_curvature_node="0.0099997" infeas_curvature_node="2" max_curvature_profile="0.0099998" infeas_curvature_profile="1" volume="0.5"/>
      <iteration number="18" duration="0" compliance="30.637" max_slope_node="0.040702" infeas_slope_node="0" max_curvature_node="0.0099999" infeas_curvature_node="3" max_curvature_profile="0.01" infeas_curvature_profile="1" volume="0.5"/>
      <iteration number="19" duration="0" compliance="30.637" max_slope_node="0.040695" infeas_slope_node="0" max_curvature_node="0.01" infeas_curvature_node="3" max_curvature_profile="0.01" infeas_curvature_profile="1" volume="0.5"/>
      <iteration number="20" duration="0" compliance="30.637" max_slope_node="0.040703" infeas_slope_node="0" max_curvature_node="0.0099999" infeas_curvature_node="3" max_curvature_profile="0.01" infeas_curvature_profile="1" volume="0.5"/>
    </process>
  </optimization>
</cfsInfo>